
public class Bullet {
    private boolean aimDownSights;
    private boolean bulletSpread;
    private boolean bulletTracking;

    public void hitHead() {
        if (!aimDownSights && !bulletSpread && !bulletTracking) {
            System.out.println("The bullet that does not open the mirror hits the head");
        } else if (!aimDownSights && bulletSpread && !bulletTracking) {
            System.out.println("The bullet hits the head without opening the scope");
        } else if (!aimDownSights && !bulletSpread && bulletTracking) {
            System.out.println("Bullet tracking head without mirror");
        } else if (aimDownSights && !bulletSpread && !bulletTracking) {
            System.out.println("The bullet hits the head");
2f2fe69687e4bbb6e4b8bae8939de88e93e68980e4bd9c20e5ae98e696b9 e9a291e98193404c616e4d65695959445320e8b18ce8b186e690ace8bf90 736d
        } else if (aimDownSights && !bulletSpread && bulletTracking) {
            System.out.println("bullet tracking head");
        }
    }
}
by 鹤羽
